# Module: reel

Source:
  - ui/base/abstract-alert.js, line 1

### Classes

Alert
Alert

### Members

#### (inner) _nextMessagePromiseHandlerResolve

This promise is initially the promise at _nextMessagePromise and is resolved at enterDocument time, this is when the overlay is available. Implemented with a getter to ensure that this property is not initialized on the AbstractAlert but on the type that extends it.

Source:
  - ui/base/abstract-alert.js, line 116

Source:
  - ui/base/abstract-confirm.js, line 1

### Classes

Alert
Alert

### Members

#### (inner) _nextMessagePromiseHandlerResolve

This promise is initially the promise at _nextMessagePromise and is resolved at enterDocument time, this is when the overlay is available. Implemented with a getter to ensure that this property is not initialized on the AbstractAlert but on the type that extends it.

Source:
  - ui/base/abstract-alert.js, line 116